ScopeManager (Resource Management Library 2.6.0-3.10.0 API)
Date: 2016-02-09

org.gcube.resourcemanagement.support.server.managers.scope

## Class ScopeManager

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.scope.ScopeManager

-     public class ScopeManager
      extends Object

  Scopes and their maps are persisted in this structure.
  Author:
    Massimiliano Assante (ISTI-CNR), Daniele Strollo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clear()`
    `static String` | `fileToString(String path)`
    `static Map<String,org.gcube.common.scope.impl.ScopeBean>` | `getAvailableScopes()` Refreshes the list of scopes and associated maps.
    `static Document` | `getDocumentGivenXML(String result)`
    `static String` | `getMapXML(org.gcube.common.scope.impl.ScopeBean searchvo)` Given a scope, if it is a VO or an infrastructure, the corresponding map file is retrieved from the globus location and the contained xml representation is returned.
    `static org.gcube.common.scope.impl.ScopeBean` | `getScope(String scope)`
    `protected static List<String>` | `getVREFromVO(org.gcube.common.scope.impl.ScopeBean vo)` query the IS to get the VRE list given a VO
    `static LinkedHashMap<String,org.gcube.common.scope.impl.ScopeBean>` | `readScopes(String confFile)`
    `static void` | `setScopeConfigFile(String file)`
    `static void` | `update()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeManager

          public ScopeManager()

  - ### Method Detail

    - #### getScope

          public static org.gcube.common.scope.impl.ScopeBean getScope(String scope)
                                                                throws Exception

      Throws:
        `Exception`

    - #### setScopeConfigFile

          public static void setScopeConfigFile(String file)

    - #### getAvailableScopes

          public static Map<String,org.gcube.common.scope.impl.ScopeBean> getAvailableScopes()
                                                                                      throws Exception

      Refreshes the list of scopes and associated maps.
      Throws:
        `Exception`

    - #### clear

          public static void clear()

    - #### update

          public static void update()
                             throws Exception

      Throws:
        `Exception`

    - #### readScopes

          public static LinkedHashMap<String,org.gcube.common.scope.impl.ScopeBean> readScopes(String confFile)
                                                                                        throws Exception

      Parameters:
        `confFile` -
      Returns:
      Throws:
        `Exception`

    - #### getVREFromVO

          protected static List<String> getVREFromVO(org.gcube.common.scope.impl.ScopeBean vo)
                                              throws Exception

      query the IS to get the VRE list given a VO
      Parameters:
        `vo` -
      Returns:
      Throws:
        `Exception`

    - #### getMapXML

          public static String getMapXML(org.gcube.common.scope.impl.ScopeBean searchvo)
                                  throws Exception

      Given a scope, if it is a VO or an infrastructure, the corresponding map file is retrieved from the globus location and the contained xml representation is returned.
      Parameters:
        `searchvo` -
      Returns:
      Throws:
        `Exception`

    - #### fileToString

          public static String fileToString(String path)
                                     throws IOException

      Throws:
        `IOException`

    - #### getDocumentGivenXML

          public static Document getDocumentGivenXML(String result)

Copyright © 2016. All Rights Reserved.